org.eclipse.eef.ide.ui.properties.api

## Class EEFSectionDescriptor

- java.lang.Object
- - org.eclipse.eef.properties.ui.api.AbstractEEFSectionDescriptor
  - - org.eclipse.eef.ide.ui.properties.api.EEFSectionDescriptor

All Implemented Interfaces:
  IEEFSectionDescriptor

    public class EEFSectionDescriptor
    extends AbstractEEFSectionDescriptor

The implementation of the `AbstractEEFSectionDescriptor` using the `EEFPage`.

### Field Summary

### Fields inherited from interface org.eclipse.eef.properties.ui.api.IEEFSectionDescriptor

`ENABLES_FOR_ANY, TOP`

### Constructor Summary

Constructors
Constructor and Description
`EEFSectionDescriptor(EEFPage eefPage)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.jface.viewers.IFilter` `getFilter()` Get the section filter instance for this section.
`java.lang.String` `getId()` Get the unique identifier for the section.
`IEEFSection` `getSectionClass()` Get the class that implements this section.
`java.lang.String` `getTargetTab()` Get the target tab where this section will appear.

### Methods inherited from class org.eclipse.eef.properties.ui.api.AbstractEEFSectionDescriptor

`appliesTo, getAfterSection, getEnablesFor, getInputTypes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFSectionDescriptor

    public EEFSectionDescriptor(EEFPage eefPage)

The constructor.

Parameters:
  `eefPage` - The EEFPage

### Method Detail

#### getId

    public java.lang.String getId()

Get the unique identifier for the section.

Returns:
  the unique identifier for the section.
See Also:
  `IEEFSectionDescriptor.getId()`

#### getSectionClass

    public IEEFSection getSectionClass()

Get the class that implements this section.

Returns:
  the class that implements this section.
See Also:
  `IEEFSectionDescriptor.getSectionClass()`

#### getTargetTab

    public java.lang.String getTargetTab()

Get the target tab where this section will appear.

Returns:
  the target tab where this section will appear.
See Also:
  `IEEFSectionDescriptor.getTargetTab()`

#### getFilter

    public org.eclipse.jface.viewers.IFilter getFilter()

Get the section filter instance for this section. Return null if no filter for this section.

Specified by:
  `getFilter` in interface `IEEFSectionDescriptor`
Overrides:
  `getFilter` in class `AbstractEEFSectionDescriptor`
Returns:
  the section filter instance.
See Also:
  `AbstractEEFSectionDescriptor.getFilter()`